using Decimation.Content.Items.Misc.Souls;
using Decimation.Content.Tiles;
using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.DataStructures;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Misc.CondensedSouls
{
    internal class CondensedSpite : DecimationItem
    {
        protected override string ItemName => "Condensed Spite";
        protected override string ItemTooltip => "his soul emanates a primal sense of hatred";
        protected override DrawAnimation Animation => new DrawAnimationVertical(5, 4);

        protected override void Init()
        {
            this.item.CloneDefaults(ItemID.SoulofSight);

            item.width = 44;
            item.height = 44;
            item.value = Item.buyPrice(0, 50);
            item.rare = Rarity.Red.GetRarityValue();

            ItemID.Sets.AnimatesAsSoul[this.item.type] = true;
            ItemID.Sets.ItemIconPulse[this.item.type] = true;
            ItemID.Sets.ItemNoGravity[this.item.type] = true;
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, ModContent.TileType<ChlorophyteAnvil>());

            recipe.AddIngredient(ModContent.ItemType<SoulofSpite>(), 50);

            return recipe;
        }
    }
}